### Method

# Gtk AppChooserButton append_custom_item

#### Declaration [src]

    void
    gtk_app_chooser_button_append_custom_item (
      GtkAppChooserButton* self,
      const char* name,
      const char* label,
      GIcon* icon
    )

#### Description [src]

Appends a custom item to the list of applications that is shown in the popup.

The item name must be unique per-widget. Clients can use the provided name as a detail for the `GtkAppChooserButton::custom-item-activated` signal, to add a callback for the activation of a particular custom item in the list.

See also gtk_app_chooser_button_append_separator().

#### Parameters

`name` | `const char*`
| The name of the custom item.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`label` | `const char*`
| The label for the custom item.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`icon` | `GIcon*`
| The icon for the custom item.
| The data is owned by the caller of the function.